.landing {
  text-align: left;
}

.bloc-public {
  @media (min-width: 992px) {
    --padding-block: 4.5rem;
  }

  .conteneur-colonnes {
    --colonnes-gap: 1.5rem;

    .principale,
    .secondaire {
      @media (min-width: 992px) {
        --colonne-taille: 50%;
      }
    }
  }

  .principale {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 1rem;
  }

  .titre {
    margin-block: 0;
  }

  .corps {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
  }

  .description {
    margin-block: 0;
  }
}

.bloc-chiffres {
  background-color: var(--background-action-high-blue-france);

  .chiffres {
    color: var(--text-inverted-grey);
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    margin: 0;
    list-style: none;

    @media (min-width: 992px) {
      flex-direction: row;
    }
  }

  .chiffre {
    display: flex;
    flex-direction: column;
    gap: 1rem;

    @media (min-width: 992px) {
      flex: 1;
      padding-inline: 2rem;
    }
  }

  .valeur {
    font-size: 2.5rem;
    line-height: 3rem;
    font-weight: 700;
    margin-block: 0;
    text-align: center;

    @media (min-width: 992px) {
      white-space: nowrap;
    }
  }

  .libelle {
    margin-block: 0;
    text-align: center;
  }
}

.bloc-competences {
  background-color: var(--background-alt-blue-france);

  @media (min-width: 992px) {
    --padding-block: 6rem;
  }

  .entete {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 0.5rem;

    @media (min-width: 992px) {
      align-items: center;
      text-align: center;
    }
  }

  .titre {
    margin-block: 0;
  }

  .description {
    font-size: 1.125rem;
    line-height: 1.75rem;
    margin-block: 0;
    max-width: 792px;
  }

  .competences {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    margin-block-start: 2rem;

    @media (min-width: 992px) {
      margin-block-start: 3rem;
    }
  }

  .introduction {
    font-size: 0.875rem;
    line-height: 1.5rem;
    margin-block: 0;
  }

  .cartes {
    display: grid;
    gap: 1.5rem;
    margin: 0;
    list-style: none;

    @media (min-width: 992px) {
      grid-template-columns: repeat(3, 1fr);
      row-gap: 1rem;
    }
  }

  .actions {
    display: flex;
    justify-content: center;
    margin-block-start: 2rem;

    dsfr-button {
      width: 100%;
    }

    @media (min-width: 992px) {
      margin-block-start: 3rem;

      dsfr-button {
        width: fit-content;
      }
    }
  }
}

.bloc-ateliers {
  @media (min-width: 992px) {
    --padding-block: 3rem;
  }

  .entete {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;

    @media (min-width: 992px) {
      align-items: center;
      gap: 1rem;
      margin-inline: auto;
      max-width: 46rem;
      text-align: center;
    }
  }

  .titre {
    margin-block: 0;
  }

  .description {
    font-size: 1.125rem;
    line-height: 1.75rem;
    margin-block: 0;
  }

  .ateliers {
    display: grid;
    gap: 1.5rem;
    margin-block: 2rem 0;
    list-style: none;

    @media (min-width: 992px) {
      grid-template-columns: repeat(3, 1fr);
      margin-block-start: 3rem;
    }

    li,
    dsfr-card {
      display: grid;
    }
  }

  #declencheur-programme {
    display: block;
    margin-block-start: 1.5rem;
  }

  dsfr-modal {
    .footer-modal {
      display: flex;
      justify-content: end;
    }
  }
}

.bloc-prerequis {
  background-color: var(--background-action-high-blue-france);

  @media (min-width: 992px) {
    --padding-block: 6rem;
  }

  .conteneur {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    margin-inline: auto;
    max-width: 62.25rem;

    @media (min-width: 992px) {
      gap: 3rem;
    }
  }

  .titre {
    color: var(--text-inverted-grey);
    margin-block: 0;
    text-align: center;
  }

  img[slot='pictogram'] {
    width: 5rem;
    height: 5rem;
    object-fit: contain;
  }
}

.panneau-programme {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;

  .etapes {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    list-style: none;
    margin-block: 0;
  }

  .etape {
    display: flex;
    gap: 1rem;
  }

  .etape:not(:last-child) {
    border-block-end: 1px solid var(--border-default-grey);
    padding-block-end: 1.5rem;
  }

  .numero {
    display: flex;
    align-items: center;
    justify-content: center;
    flex: 0 0 2rem;
    height: 2rem;
    border-radius: 50%;
    background-color: var(--background-alt-blue-france);
    color: var(--text-label-blue-france);
    font-weight: 700;
  }

  .titre-etape {
    font-size: 1rem;
    line-height: 1.5rem;
    margin-block: 0 0.5rem;
  }

  ul {
    list-style: disc outside;
    padding-inline-start: 1.25rem;
    margin-block: 0;
  }

  .mention {
    color: var(--text-mention-grey);
    font-size: 0.75rem;
    font-style: italic;
    margin-block: 0.5rem 0;
  }
}
